--- user_drv.erl	2012-03-18 05:49:04.795124089 -0700
+++ user_drv.erl.new	2012-03-18 05:49:19.254901137 -0700
@@ -377,6 +377,19 @@
 	    io_request({put_chars,unicode,"Not alive\n"}, Iport, Oport),
 	    switch_loop(Iport, Oport, Gr0)
     end;
+switch_cmd({ok,[{atom,_,r},{atom,_,all}],_}, Iport, Oport, Gr0) ->
+    Pids = [group:start(self(), {Node,shell,start,[]})||Node<-nodes()],
+    Gr = lists:foldl(fun({Pid,Node},GrAcc) ->
+		gr_add_cur(GrAcc, Pid, {Node,shell,start,[]})
+	 end, Gr0, lists:zip(Pids,nodes())),
+    switch_loop(Iport, Oport, Gr);
+switch_cmd({ok,[{atom,_,r},{atom,_,all},{atom,_,Shell}],_},
+	   Iport, Oport, Gr0) ->
+    Pids = [group:start(self(), {Node,Shell,start,[]})||Node<-nodes()],
+    Gr = lists:foldl(fun({Pid,Node},GrAcc) ->
+		gr_add_cur(GrAcc, Pid, {Node,Shell,start,[]})
+	  end, Gr0, lists:zip(Pids,nodes())),
+    switch_loop(Iport, Oport, Gr);
 switch_cmd({ok,[{atom,_,r},{atom,_,Node}],_}, Iport, Oport, Gr0) ->
     Pid = group:start(self(), {Node,shell,start,[]}),
     Gr = gr_add_cur(Gr0, Pid, {Node,shell,start,[]}),
